Subject: bug#3640: I can't see all characters in my files anymore

From: Chong Yidong <[email-masked]>
Date: Mon, 22 Jun 2009 15:57:06 -0400

> Help, I'm now shipping files to people with all kinds of embedded junk
> in them like
> |        character: ‎ (8206, #o20016, #x200e)
> |preferred charset: unicode (Unicode (ISO10646))
> |       code point: 0x200E
> |           syntax: . 	which means: punctuation
> |      buffer code: #xE2 #x80 #x8E
> |        file code: #xE2 #x80 #x8E (encoded by coding system utf-8-unix)
> |          display: by this font (glyph code)
> |    xft:-unknown-FreeSans-normal-normal-normal-*-16-*-*-*-*-0-iso10646-1 (#x8F1)
> |
> |Character code properties: customize what to show
> |  name: LEFT-TO-RIGHT MARK
> |  general-category: Cf (Other, Format)
> all because I can't see them anymore now that I use emacs23.

Your font claims to be able to display character code 8206.  So, Emacs
does not get in the way.  This is not a bug.